Subject: Re: [PATCH net-next 2/2] net: dsa: dsa2: Add basic support of devlink

From: Andrew Lunn <[email-masked]>
Date: Wed, 29 Mar 2017 19:36:24 +0200

> Tangential question: we do not currently report to user space what kind
> of switch tagging protocol is used (DSA, eDSA etc.) I was going to add a
> sysfs attribute for that under the switch device's directory, but maybe
> devlink would be more appropriate for that?

We don't report it. What are you thinking you want to do with this
information?

I suppose it might be possible to teach libpcap/tcpdump about it, so
it can slide in an additional dissector. EDSA you can detect anyway,
since it uses a well know Ethertype. tcpdump already supports
this. But the other tag protocols cannot be detected.

devlink does seem like a good candidate for this, make it part of the
port type.

     Andrew